Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 24 Nov 2014, 01:17
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects » Next Puppy Development » 5.x
Dpup Synaptic Testing
Moderators: BarryK, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 7 [91 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7 Next
Author Message
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Thu 10 Dec 2009, 09:51    Post subject:  

The new Apt/Synaptic is up....
_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
tubeguy


Joined: 28 Aug 2009
Posts: 1332
Location: Park Ridge IL USA

PostPosted: Thu 10 Dec 2009, 09:53    Post subject:  

Quote:
The new Apt/Synaptic is up....

This always happens right when I get to work. I swear my job is totally getting in the way of my real life....

_________________
MSI 970A-G46/AMD FX-8150/Plextor 128GB SSD/Corsair Vengeance 8GB: Tahr Pup 6
Back to top
View user's profile Send private message Visit poster's website 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Thu 10 Dec 2009, 09:55    Post subject:  

If you lived here, you would have been home 6 hours ago....... Smile
_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
James C


Joined: 26 Mar 2009
Posts: 5932
Location: Kentucky

PostPosted: Thu 10 Dec 2009, 15:42    Post subject:  

Installed Synaptic pet on fresh full install of Dpup 4.82 Beta 5 with only service pack and Google Chrome added. Synaptic pet installed fine.

Checked repositories and reloaded. Installed Kazehakase browser thru Synaptic and still getting error messages. Kazehakase works but still no menu entry, so I added one again by modifying existing entry.

Will attempt to install more apps later this afternoon.
shot.png
 Description   
 Filesize   82.66 KB
 Viewed   1249 Time(s)

shot.png

Back to top
View user's profile Send private message 
tubeguy


Joined: 28 Aug 2009
Posts: 1332
Location: Park Ridge IL USA

PostPosted: Thu 10 Dec 2009, 20:17    Post subject:  

Fresh frugal install with patch, everything worked except can't get program to actually run. Not a big deal for me, just testing.

nopubkey.png is an error I always get after apt-get update.

changes.png, download.png and applied.png are self-explanatory.

Last screen is all the python stuff I found where the hydrogen executable was, I guess python and puppy don't get along, as would be IRL. Smile
nopubkey.png
 Description   
 Filesize   93.5 KB
 Viewed   1158 Time(s)

nopubkey.png

changes.png
 Description   
 Filesize   34.72 KB
 Viewed   2066 Time(s)

changes.png

download.png
Description 
png

 Download 
Filename  download.png 
Filesize  34.21 KB 
Downloaded  1016 Time(s) 
applied.png
 Description   
 Filesize   17.46 KB
 Viewed   2160 Time(s)

applied.png

python-things.png
Description 
png

 Download 
Filename  python-things.png 
Filesize  81.34 KB 
Downloaded  1056 Time(s) 

_________________
MSI 970A-G46/AMD FX-8150/Plextor 128GB SSD/Corsair Vengeance 8GB: Tahr Pup 6
Back to top
View user's profile Send private message Visit poster's website 
James C


Joined: 26 Mar 2009
Posts: 5932
Location: Kentucky

PostPosted: Thu 10 Dec 2009, 21:55    Post subject:  

I've been getting the "nopubkey.png" error as well.

Installed Streamtuner, runs but getting error messages.Dpup made a menu entry for it this time.

Also installed Ace of Penguins and other games. Installed and run fine......had to make all of the menu entries though.Getting pretty good at it. Laughing
games.png
Description 
png

 Download 
Filename  games.png 
Filesize  107.21 KB 
Downloaded  1048 Time(s) 
streamtuner-error2.png
 Description   
 Filesize   149.05 KB
 Viewed   1112 Time(s)

streamtuner-error2.png

streamtuner-error.png
 Description   
 Filesize   187.47 KB
 Viewed   1382 Time(s)

streamtuner-error.png

Back to top
View user's profile Send private message 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Fri 11 Dec 2009, 00:32    Post subject:  

To get rid of the nopukey error just run this in console

Quote:
apt-get install debian-backports-keyring


The Streamtuner error are my fault, the two libs that it is looking for should be there, but I forgot to include them in APT

just run
Quote:

apt-get install libffi5

and then

apt-get install libtag1c2a


Sorry

_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
James C


Joined: 26 Mar 2009
Posts: 5932
Location: Kentucky

PostPosted: Fri 11 Dec 2009, 00:58    Post subject:  

Sounded like a great idea, until I got the error messages...... Smile

Got errors on all three but only posting one screenie, all looked similar.Well, maybe two.......
debian-backports.png
 Description   
 Filesize   178.02 KB
 Viewed   1242 Time(s)

debian-backports.png

libffi-error.png
 Description   
 Filesize   180.77 KB
 Viewed   1195 Time(s)

libffi-error.png

Back to top
View user's profile Send private message 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Fri 11 Dec 2009, 02:22    Post subject:  

James C

You have a broken package, you will need to remove hyper... and then you can install those others...alternative...fresh start.

_________________
Dpup Home
Back to top
View user's profile Send private message Visit poster's website MSN Messenger 
James C


Joined: 26 Mar 2009
Posts: 5932
Location: Kentucky

PostPosted: Fri 11 Dec 2009, 02:35    Post subject:  

I just had an idea, I think I'll reinstall again for a fresh start...... Laughing
Back to top
View user's profile Send private message 
shankargopal

Joined: 03 Dec 2005
Posts: 295

PostPosted: Fri 11 Dec 2009, 03:34    Post subject:  

Was travelling for a few days so could not jump in earlier. Downloaded latest apt/synaptic yesterday, could not test because my wireless card went dead (Eee PC 701SD, fix is tempestuous' special madwifi driver for some Atheros chipsets and the 2.6.30.5 kernel).

Anyway, decided to test with apt-get (which I prefer to Synaptic) and with a simple package that would involve few dependencies, no menu entry etc. and whcih I had already compiled in Puppy before. Given those criteria went for installing dovecot-imapd. Apt-get correctly identified one of the dependencies (dovecot-common). During install, following errors were reported:
Code:

Setting up dovecot-common (1:1.0.15-2.3+lenny1) ...
/var/lib/dpkg/info/dovecot-common.postinst: line 10: ucf: command not found
dpkg: error processing dovecot-common (--configure):
 subprocess post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of dovecot-imapd:
 dovecot-imapd depends on dovecot-common (= 1:1.0.15-2.3+lenny1); however:
  Package dovecot-common is not configured yet.
dpkg: error processing dovecot-imapd (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 dovecot-common
 dovecot-imapd
E: Sub-process /usr/bin/dpkg returned an error code (1)


These errors repeated on every subsequent install of anything. On the first install there were also some python error messages which (sorry) did not record.

However apt-get had not correctly identified all dependencies. Turns out I also needed libpq (libpq5 deb package), mysql-common and libmysqlclient (libmysqlclient15off, the 16 version refused to install). I installed all three individually using apt-get and manually searching for the package names online.

After this dovecot is up and running (using my old config files, in the new positions, from my 4.1.2 install). Have not really tested it fully yet but will do so.

All in all seems like things almost there - thanks as always Guy!

NB: Interestingly PPM also did not identify those three dependencies - and instead wanted to install a bunch of unnecessary stuff (libPAM etc.)... but it did correctly identify the need for ucf, which apt-get seems to be complaining about...
Back to top
View user's profile Send private message 
shankargopal

Joined: 03 Dec 2005
Posts: 295

PostPosted: Fri 11 Dec 2009, 03:50    Post subject:  

Ok, tried to install claws mail. Some dependencies appeared to be correctly identified (at least as I remembered them from compiling - i.e. libetpan and libaspell, among others). But once again other dependencies were missing - when I tried to run claws, I was told that "libpisock.so.9" cannot be found; trying to install libpisock9 package in apt-get produced the message that it is already the newest version. The same happened when I tried to install ucf. gposil, possibly apt's installed package database includes packages that are not actually installed? Maybe that's why it's not correctly identifying dependencies?

Incidentally apt-get produced some more install errors:

Code:

Processing triggers for menu ...
Unknown error.
Setting up aspell-en (6.0-0-5.1) ...
Error: /usr/sbin/update-dictcommon-aspell not present or executable. Missing dependency on dictionaries-common?
dpkg: error processing aspell-en (--configure):
 subprocess post-installation script returned error exit status 1
Setting up dovecot-common (1:1.0.15-2.3+lenny1) ...
/var/lib/dpkg/info/dovecot-common.postinst: line 10: ucf: command not found
dpkg: error processing dovecot-common (--configure):
 subprocess post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of dovecot-imapd:
 dovecot-imapd depends on dovecot-common (= 1:1.0.15-2.3+lenny1); however:
  Package dovecot-common is not configured yet.
dpkg: error processing dovecot-imapd (--configure):
 dependency problems - leaving unconfigured


This would seem to indicate that another package - the dictionaries one - is not actually installed.

Then went on to install imagemagick, just to get the python error messages, and here they are:

Code:
(Reading database ...
dpkg: serious warning: files list file for package `python2.4' missing, assuming package has no files currently installed.

dpkg: serious warning: files list file for package `python-all' missing, assuming package has no files currently installed.

dpkg: serious warning: files list file for package `python2.4-minimal' missing, assuming package has no files currently installed.
48343 files and directories currently installed.)


Edit: Managed to get claws running (or at least starting, have not tested fully yet), but had to install several other dependencies first. Apt-get refused to install libpisock and liblockfile, saying that the latest versions were already installed, so I installed them using PPM. Apt-get did however correctly install libcurl3-gnutls (it claimed to be upgrading it) and gnutls-bin (the last may not have been a dependency). After that claws-mail started. Again, results seem consistent with apt thinking packages are installed when they're not...
Back to top
View user's profile Send private message 
James C


Joined: 26 Mar 2009
Posts: 5932
Location: Kentucky

PostPosted: Fri 11 Dec 2009, 04:10    Post subject:  

Since it is about 2 am here, this is my last try tonight.

Wiped the partition and reinstalled Dpup 482 Beta 5. Installed the service pack and the apt/Synaptic pet and nothing else. Launched Synaptic and reloaded.

I've installed NetSurf, Streamtuner and Kazehakase so far.They all run but I'm still getting the same errors as in my above post.When I enter those commands in the terminal I'm also getting the "already the newest version" message as well.
errors.png
 Description   
 Filesize   180.43 KB
 Viewed   1202 Time(s)

errors.png

Back to top
View user's profile Send private message 
shankargopal

Joined: 03 Dec 2005
Posts: 295

PostPosted: Fri 11 Dec 2009, 04:29    Post subject:  

James C - you could try (when you wake up in the morning Smile) installing those packages using PPM and/or apt-get --reinstall (have not tried the latter myself yet).

Incidentally I also got the public key error but ignored it,a s I have had that in the past with sidux stuff and never saw any negative consequences.
Back to top
View user's profile Send private message 
flugwelpe


Joined: 15 May 2009
Posts: 29
Location: Vienna, Austria

PostPosted: Fri 11 Dec 2009, 07:54    Post subject: aqualung needs liblrdf  

Seems aqualung is also missing a dependency, liblrdf, which is not there, but apt claims it is.
On fresh dpup with patch: after apt-get install aqualung

Code:
# aqualung
aqualung: error while loading shared libraries: liblrdf.so.0: cannot open shared object file: No such file or directory


As the library file was not on the disk, i wanted to install the lib, but it was already registered in apt.
Code:
# [b]apt-get install liblrdf0[/b]
Reading package lists... Done
Building dependency tree
Reading state information... Done
[b]liblrdf0 is already the newest version[/b].


thought i try reinstalling
Code:
# [b]apt-get --reinstall[/b] install librdf0
Reading package lists... Done
dpkg: serious warning: files list file for package `libexempi3' missing, assuming package has no files currently installed.
...
dpkg: serious warning: files list file for package `libssh2-1' missing, assuming package has no files currently installed.
16659 files and directories currently installed.)
Preparing to replace liblrdf0 0.4.0-1.1 (using .../liblrdf0_0.4.0-1.1_i386.deb) ...
Unpacking replacement liblrdf0 ...
Setting up liblrdf0 (0.4.0-1.1) ...


having librdf0 installed, aqualung complained about the next missing lib.
did then same game for libsamplerate0, libwavpack1, liboggz1, libmodplug0 (libmodplug0c2), libavcodec51, libifp4, libraptor1.

After that aqualung runs fine, although with very very tiny fonts.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 7 [91 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects » Next Puppy Development » 5.x
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0978s ][ Queries: 13 (0.0054s) ][ GZIP on ]